Subject: Re: [PATCH] git-commit: add a prepare-commit-msg hook

From: Paolo Bonzini <[email-masked]>
Date: Sat, 19 Jan 2008 17:04:31 +0100

> Of course, there is a fourth of "two other" possibilities:

(The third was just the previously posted patch, so two "other than the 
posted one") :-)

> Make a script calling git-commit with "-F - -e" and pipe your generated 
> template into it.

You considered that this script should parse -a, -i, -o, whatever, 
right? ;-)

The point is that a hook can use the index as prepared by git-commit.

Paolo